> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Add metadata for a webchat contact

> Add metadata for a webchat contact



## OpenAPI

````yaml /openapi.json post /api/public/webchat/contact/add-metadata
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/public/webchat/contact/add-metadata:
    post:
      tags:
        - Webchat contact
      summary: Add metadata for a webchat contact
      description: Add metadata for a webchat contact
      operationId: PublicWebchatContactController_addMetadata
      parameters:
        - name: x-api-key
          in: header
          description: API key needed to authorize the request
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                metadata:
                  type: object
                externalUserId:
                  type: string
      responses:
        '201':
          description: Message sent successfully.
        '400':
          description: Bad request.
        '401':
          description: Unauthorized.

````